# -*- coding: utf-8 -*-
"""
Microsoft-Antimalware-AMFilter
GUID : cfeb0608-330e-4410-b00d-56d8da9986e6
"""
from construct import Int8sl, Int8ul, Int16ul, Int16sl, Int32sl, Int32ul, Int64sl, Int64ul, Bytes, Double, Float32l, Struct
from etl.utils import WString, CString, SystemTime, Guid
from etl.dtyp import Sid
from etl.parsers.etw.core import Etw, declare, guid


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=2, version=0)
class Microsoft_Antimalware_AMFilter_2_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul
    )


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=3, version=0)
class Microsoft_Antimalware_AMFilter_3_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul
    )


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=4, version=0)
class Microsoft_Antimalware_AMFilter_4_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul
    )


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=5, version=0)
class Microsoft_Antimalware_AMFilter_5_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul
    )


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=7, version=0)
class Microsoft_Antimalware_AMFilter_7_0(Etw):
    pattern = Struct(
        "Pid" / Int32ul,
        "Reason" / WString,
        "Trusted" / Int32ul,
        "TotalTrusted" / Int32ul,
        "TotalUntrusted" / Int32ul,
        "Path" / WString
    )


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=8, version=0)
class Microsoft_Antimalware_AMFilter_8_0(Etw):
    pattern = Struct(
        "Pid" / Int32ul,
        "Reason" / WString,
        "Flags" / Int32ul,
        "ProcessFilterFlags" / Int32ul,
        "ProcessName" / WString,
        "VmHardenType" / Int64ul,
        "ExemptVmHardenedTypes" / Int64ul
    )


@declare(guid=guid("cfeb0608-330e-4410-b00d-56d8da9986e6"), event_id=9, version=0)
class Microsoft_Antimalware_AMFilter_9_0(Etw):
    pattern = Struct(
        "FileName" / WString,
        "Reason" / WString,
        "IoStatusBlockForNewFile" / Int64ul
    )

