# -*- coding: utf-8 -*-
"""
Microsoft-Antimalware-Protection
GUID : e4b70372-261f-4c54-8fa6-a5a7914d73da
"""
from construct import Int8sl, Int8ul, Int16ul, Int16sl, Int32sl, Int32ul, Int64sl, Int64ul, Bytes, Double, Float32l, Struct
from etl.utils import WString, CString, SystemTime, Guid
from etl.dtyp import Sid
from etl.parsers.etw.core import Etw, declare, guid


@declare(guid=guid("e4b70372-261f-4c54-8fa6-a5a7914d73da"), event_id=1, version=0)
class Microsoft_Antimalware_Protection_1_0(Etw):
    pattern = Struct(
        "DwordData" / Int32ul
    )


@declare(guid=guid("e4b70372-261f-4c54-8fa6-a5a7914d73da"), event_id=2, version=0)
class Microsoft_Antimalware_Protection_2_0(Etw):
    pattern = Struct(
        "DwordData" / Int32ul
    )


@declare(guid=guid("e4b70372-261f-4c54-8fa6-a5a7914d73da"), event_id=3, version=0)
class Microsoft_Antimalware_Protection_3_0(Etw):
    pattern = Struct(
        "Description" / WString
    )


@declare(guid=guid("e4b70372-261f-4c54-8fa6-a5a7914d73da"), event_id=4, version=0)
class Microsoft_Antimalware_Protection_4_0(Etw):
    pattern = Struct(
        "DwordData" / Int32ul
    )


@declare(guid=guid("e4b70372-261f-4c54-8fa6-a5a7914d73da"), event_id=6, version=0)
class Microsoft_Antimalware_Protection_6_0(Etw):
    pattern = Struct(
        "DwordData" / Int32ul
    )


@declare(guid=guid("e4b70372-261f-4c54-8fa6-a5a7914d73da"), event_id=7, version=0)
class Microsoft_Antimalware_Protection_7_0(Etw):
    pattern = Struct(
        "Description" / WString
    )

