# -*- coding: utf-8 -*-
"""
Microsoft-Antimalware-RTP
GUID : 8e92deef-5e17-413b-b927-59b2f06a3cfc
"""
from construct import Int8sl, Int8ul, Int16ul, Int16sl, Int32sl, Int32ul, Int64sl, Int64ul, Bytes, Double, Float32l, Struct
from etl.utils import WString, CString, SystemTime, Guid
from etl.dtyp import Sid
from etl.parsers.etw.core import Etw, declare, guid


@declare(guid=guid("8e92deef-5e17-413b-b927-59b2f06a3cfc"), event_id=14, version=0)
class Microsoft_Antimalware_RTP_14_0(Etw):
    pattern = Struct(
        "File" / WString
    )


@declare(guid=guid("8e92deef-5e17-413b-b927-59b2f06a3cfc"), event_id=15, version=0)
class Microsoft_Antimalware_RTP_15_0(Etw):
    pattern = Struct(
        "File" / WString
    )


@declare(guid=guid("8e92deef-5e17-413b-b927-59b2f06a3cfc"), event_id=16, version=0)
class Microsoft_Antimalware_RTP_16_0(Etw):
    pattern = Struct(
        "File" / WString
    )


@declare(guid=guid("8e92deef-5e17-413b-b927-59b2f06a3cfc"), event_id=17, version=0)
class Microsoft_Antimalware_RTP_17_0(Etw):
    pattern = Struct(
        "File" / WString
    )


@declare(guid=guid("8e92deef-5e17-413b-b927-59b2f06a3cfc"), event_id=22, version=0)
class Microsoft_Antimalware_RTP_22_0(Etw):
    pattern = Struct(
        "Description" / WString,
        "PreviousValue" / Int32ul,
        "IntendedValueOrHResult" / Int32ul,
        "LatestValue" / Int32ul
    )

