# -*- coding: utf-8 -*-
"""
Microsoft-Antimalware-Scan-Interface
GUID : 2a576b87-09a7-520e-c21a-4942f0271d67
"""
from construct import Int8sl, Int8ul, Int16ul, Int16sl, Int32sl, Int32ul, Int64sl, Int64ul, Bytes, Double, Float32l, Struct
from etl.utils import WString, CString, SystemTime, Guid
from etl.dtyp import Sid
from etl.parsers.etw.core import Etw, declare, guid


@declare(guid=guid("2a576b87-09a7-520e-c21a-4942f0271d67"), event_id=1101, version=0)
class Microsoft_Antimalware_Scan_Interface_1101_0(Etw):
    pattern = Struct(
        "session" / Int64ul,
        "scanStatus" / Int8ul,
        "scanResult" / Int32ul,
        "appname" / WString,
        "contentname" / WString,
        "contentsize" / Int32ul,
        "originalsize" / Int32ul,
        "content" / Bytes(lambda this: this.contentsize),
        "hash" / Bytes(16),
        "contentFiltered" / Int8ul
    )

