# -*- coding: utf-8 -*-
"""
Microsoft-Antimalware-Service
GUID : 751ef305-6c6e-4fed-b847-02ef79d26aef
"""
from construct import Int8sl, Int8ul, Int16ul, Int16sl, Int32sl, Int32ul, Int64sl, Int64ul, Bytes, Double, Float32l, Struct
from etl.utils import WString, CString, SystemTime, Guid
from etl.dtyp import Sid
from etl.parsers.etw.core import Etw, declare, guid


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=1, version=0)
class Microsoft_Antimalware_Service_1_0(Etw):
    pattern = Struct(
        "Description" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=17, version=0)
class Microsoft_Antimalware_Service_17_0(Etw):
    pattern = Struct(
        "Description" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=18, version=0)
class Microsoft_Antimalware_Service_18_0(Etw):
    pattern = Struct(
        "Description" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=19, version=0)
class Microsoft_Antimalware_Service_19_0(Etw):
    pattern = Struct(
        "Description" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=20, version=0)
class Microsoft_Antimalware_Service_20_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul,
        "USN" / Int64ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=21, version=0)
class Microsoft_Antimalware_Service_21_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul,
        "USN" / Int64ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=22, version=0)
class Microsoft_Antimalware_Service_22_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul,
        "USN" / Int64ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=23, version=0)
class Microsoft_Antimalware_Service_23_0(Etw):
    pattern = Struct(
        "File_ID" / Int64ul,
        "USN" / Int64ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=28, version=0)
class Microsoft_Antimalware_Service_28_0(Etw):
    pattern = Struct(
        "Description" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=31, version=0)
class Microsoft_Antimalware_Service_31_0(Etw):
    pattern = Struct(
        "TrustedUSN" / Int64ul,
        "TrustedState" / Int64ul,
        "SFCState" / Int64ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=39, version=0)
class Microsoft_Antimalware_Service_39_0(Etw):
    pattern = Struct(
        "Bytes" / Int32ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=44, version=0)
class Microsoft_Antimalware_Service_44_0(Etw):
    pattern = Struct(
        "Command" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=48, version=0)
class Microsoft_Antimalware_Service_48_0(Etw):
    pattern = Struct(
        "Sha1" / WString,
        "Sha256" / WString,
        "MD5" / WString,
        "ProcessID" / Int32ul,
        "ProcessCreationTime" / Int64ul,
        "ProcessPath" / WString,
        "ThreatName" / WString,
        "RealPath" / WString,
        "WasExecutingWhileDetected" / Int8ul,
        "Action" / Int32ul,
        "RemediationErrorCode" / Int32ul,
        "DetectionTime" / Int64ul,
        "User" / WString,
        "UserSid" / WString,
        "ResourceSchema" / WString,
        "DetectionGuid" / WString,
        "Classification" / Int32ul,
        "SchemaParamAndDataDelimiter" / WString,
        "SchemaParamList" / WString,
        "SchemaParamDataList" / WString,
        "DetectionSource" / Int32ul,
        "IsPassiveMode" / Int8ul,
        "SigSeq" / Int64ul,
        "SigSha" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=49, version=0)
class Microsoft_Antimalware_Service_49_0(Etw):
    pattern = Struct(
        "RuleId" / WString,
        "isAudit" / Int8ul,
        "Sha1" / WString,
        "Sha256" / WString,
        "MD5" / WString,
        "FileSize" / Int64ul,
        "ProcessID" / Int32ul,
        "ProcessCreationTime" / Int64ul,
        "ProcessIntegrityLevel" / Int32ul,
        "ProcessPath" / WString,
        "TargetPath" / WString,
        "SigSeq" / Int64ul,
        "SigSha" / WString,
        "CommandLine" / WString,
        "DetectionTime" / Int64ul,
        "TargetIdentified" / Int8ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=50, version=0)
class Microsoft_Antimalware_Service_50_0(Etw):
    pattern = Struct(
        "IsAudit" / Int8ul,
        "Uri" / WString,
        "ProcessId" / Int32ul,
        "ProcessCreationTime" / Int64ul,
        "UserSid" / WString,
        "ResponseCategory" / WString,
        "IsWarn" / Int8ul,
        "DisplayName" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=51, version=0)
class Microsoft_Antimalware_Service_51_0(Etw):
    pattern = Struct(
        "LocalIpAddressLength" / Int32ul,
        "LocalIpAddress" / Bytes(lambda this: this.LocalIpAddressLength),
        "RemoteIpAddressLength" / Int32ul,
        "RemoteIpAddress" / Bytes(lambda this: this.RemoteIpAddressLength),
        "ProcessId" / Int32ul,
        "ProcessCreationTime" / Int64ul,
        "UserSid" / WString,
        "ProcessName" / WString,
        "Uri" / WString,
        "RequestHeaders" / WString,
        "ResponseHeaders" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=52, version=0)
class Microsoft_Antimalware_Service_52_0(Etw):
    pattern = Struct(
        "RuleId" / WString,
        "State" / Int32ul,
        "EventTimestamp" / Int64ul,
        "Action" / WString,
        "Process" / WString,
        "ProcessId" / Int32ul,
        "Source" / WString,
        "Target" / WString,
        "SessionId" / Int32ul
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=53, version=0)
class Microsoft_Antimalware_Service_53_0(Etw):
    pattern = Struct(
        "UniqueId" / Int64ul,
        "TotalSourceFiles" / Int32ul,
        "CurrentIndexOfSourceFile" / Int32ul,
        "PolicyVersion" / WString,
        "PolicyRuleId" / WString,
        "EnforcementLevel" / Int32ul,
        "IsActionBypass" / Int8ul,
        "EventTimestamp" / Int64ul,
        "ActionType" / WString,
        "Process" / WString,
        "ProcessId" / Int32ul,
        "ProcessCreationTime" / Int64ul,
        "Source" / WString,
        "Target" / WString,
        "SessionId" / Int32ul,
        "UserSid" / Sid
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=54, version=0)
class Microsoft_Antimalware_Service_54_0(Etw):
    pattern = Struct(
        "StatusCode" / Int32ul,
        "StatusDetails" / WString
    )


@declare(guid=guid("751ef305-6c6e-4fed-b847-02ef79d26aef"), event_id=55, version=0)
class Microsoft_Antimalware_Service_55_0(Etw):
    pattern = Struct(
        "Allow" / Int8ul,
        "UserOverrideKey" / WString,
        "FriendlyName" / WString,
        "Uri" / WString,
        "ProcessId" / Int32ul,
        "ProcessCreationTime" / Int64ul,
        "UserSid" / WString,
        "ResponseCategory" / WString
    )

